Name:           me-tv
Summary:        Me TV is a digital television (DVB) viewer
Version:        1.3.1
Release:        %mkrel 1
License:        GPLv3
Group:          Video
URL:            https://launchpad.net/me-tv
Source0:        http://launchpad.net/me-tv/1.3/1.3.1/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  perl-libxml-perl
BuildRequires:  pkgconfig intltool gtk-doc
BuildRequires:  libxine-devel
BuildRequires:  libgnome2-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  libgtk+2-devel
BuildRequires:  libgnet-2.0-devel
BuildRequires:  libgnomemm2.6-devel
BuildRequires:  libgnomeuimm2.6-devel
BuildRequires:  libgconfmm2.6-devel
BuildRequires:  gettext-devel
BuildRequires:  libvlc-devel gstreamer0.10-devel libgstreamer-plugins-base-devel libsqlite3-devel
%ifarch i586
BuildRequires:  libglibmm2.4-devel
%endif
%ifarch x86_64
BuildRequires:  lib64glibmm2.4-devel
%endif
BuildRequires:  libglade2.0-devel
BuildRequires:  libxtst-devel
BuildRequires:  unique-devel >= 1.0

Requires:       dvb-apps xine-ui gnome-screensaver

%description
Me TV is a digital television (DVB) viewer for GNOME/GTK.
Me TV was developed for the modern digital lounge room with
a PC for a media centre that is capable of normal PC tasks
(web surfing, word processing and watching TV). It is not
designed to be a full-blown media centre, such as MythTV,
but will integrate well with an existing GNOME desktop.

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc

##--enable-xine-engine --enable-mplayer-engine --enable-libvlc-engine --enable-xine-lib-engine --enable-libgstreamer-engine 

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name} 


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc INSTALL COPYING README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-player
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/*.lzma
%{_datadir}/applications/*.desktop
%_iconsdir/%{name}.png


%changelog
* Fri Jul 16 2010 Oliver Burger <rpm@mandrivauser.de> 1.3.1-1mud2010.1
- rebuild for i586
  o Wed Jul 14 2010 Doktor5000 <rpm@mandrivauser.de> 1.3.1-1mud2010.1
  - rebuild for Mandrivalinux 2010.1
  - new version 1.3.1
  - updated source url
  - removed unneeded patches, cleaned up spec a bit
  - added %%BuildRequires on unique
  - fixed desktop-file-utils warning
  - fixed files list
  - cleaned up icons

* Mon Jan 18 2010 tigger-gg <rpm@mandrivauser.de> 1.1.5-1mud2010.0
- new version 1.1.5

* Tue Jan 05 2010 tigger-gg <rpm@mandrivauser.de> 1.1.2-1mud2010.0
- new version 1.1.2

* Sun Nov 01 2009 tigger-gg <rpm@mandrivauser.de> 1.0.0-3mud2010.0
- apply gtk-builder patch

* Tue Oct 13 2009 tigger-gg <rpm@mandrivauser.de> 1.0.0-2mud2010.0
- Rebuild because of the current updates in Cooker (2010.0)

* Tue Oct 13 2009 tigger-gg <rpm@mandrivauser.de> 1.0.0-1mud2010.0
- Rebuild for Mandriva 2010.0

* Mon Sep 07 2009 tigger-gg <rpm@mandrivauser.de> 1.0.0-1mud2009.1
- new version 1.0.0

* Sun Aug 02 2009 tigger-gg <rpm@mandrivauser.de> 0.10.3-1mud2009.1
- new version 0.10.3

* Sat Jul 25 2009 tigger-gg <rpm@mandrivauser.de> 0.10.1-1mud2009.1
- new version 0.10.1

* Sat Jul 18 2009 tigger-gg <rpm@mandrivauser.de> 0.9.6-1mud2009.1
- new version 0.9.6

* Thu Jul 09 2009 tigger-gg <rpm@mandrivauser.de> 0.9.5-1mud2009.1
- new version 0.9.5

* Wed Jul 01 2009 tigger-gg <rpm@mandrivauser.de> 0.9.4-1mud2009.1
- new version 0.9.4

* Mon Jun 22 2009 tigger-gg <rpm@mandrivauser.de> 0.9.3-1mud2009.1
- new version 0.9.3

* Thu Jun 11 2009 tigger-gg <rpm@mandrivauser.de> 0.9.1-3mud2009.1
- fixed prep section

* Wed Jun 09 2009 Doktor5000 <rpm.mandrivauser.de> 0.9.1-2mud2009.1
- enabled all optional engines (xine,mplayer,libvlc,xine-lib,libgstreamer)
- fixed generation of documentation with gtk-doc
- fixed path to dvb-apps scan templates
- fixed error message about screensaver

* Fri Jun 05 2009 tigger-gg <rpm@mandrivauser.de> 0.9.1-1mud2009.1
- new version 0.9.1

* Wed May 27 2009 tigger-gg <rpm@mandrivauser.de> 0.8.14-1mud2009.1
- new version 0.8.14

* Mon May 25 2009 tigger-gg <rpm@mandrivauser.de> 0.8.11-1mud2009.1
- new version 0.8.11

* Sat Mar 21 2009 Oliver Burger <rpm@mandrivauser.de> 0.7.16-1mud2009.1
- rebuild for i586

* Sun Mar 08 2009 tigger-gg <rpm@mandrivauser.de> 0.7.16-1mud2009.1
- rebuild for MandrivaLinux 2009.1

* Thu Feb 19 2009 tigger-gg <rpm@mandrivauser.de> 0.7.14-1mud2009.1
- rebuild for MandrivaLinux 2009.1
